You may need to pull/push images from./to a self-hosted container registry in a CI build. In case the container registry only provides insecure access (plain http access, or https access with self-signed certificate), below docker daemon needs to be configured to [disregard security for your registry](https://docs.docker.com/registry/insecure/):

* If OneDev is [running as a docker container](run-as-docker-container.md), docker daemon of host machine needs to be configured as OneDev uses option `-v /var/run/docker.sock:/var/run/docker.sock` to delegate docker operations back to host
* If OneDev is [deployed to Kubernetes](deploy-into-k8s.md), docker daemon of each involved node needs to be configured
* If OneDev is [run on virtual machine/bare metal machine](run-on-bare-metal-machine.md), docker daemon of the virtual machine/bare metal machine needs to be configured